Subject: bug#3695: 23.0.94; kill-whole-line has no effect

From: Teemu Likonen <[email-masked]>
Date: Sat, 27 Jun 2009 12:42:57 +0300

On 2009-06-27 13:07 (+0400), Андрей Парамонов wrote:

> I've looked through the change by Chong Yidong, and it seems to be
> different from your patch. Your patch does respect the kill-whole-line
> option. Does it have some problems compared to the committed change?

As far as I know my patch doesn't have other problems, and indeed it
preserves the kill-whole-line functionality.

> I think kill-visual-line must behave exactly as kill-line, if the text
> line consists of just one visual line. Otherwise it's a regression.

Probably I'd expect that too but I have no strong opinion for this.